Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.client.filter
Class Filterable

    java.lang.Object
      com.sun.jersey.api.client.filter.Filterable

Direct Known Subclasses:
  AsyncWebResource, Client, WebResource

    public abstract class Filterable

extends java.lang.Object

An abstract class providing support for registering and managing a chain of `ClientFilter` instances.

A `ClientFilter` instance MUST be occur at most once in any `Filterable` instance, otherwise unexpected results may occur. If it is necessary to add the same type of `ClientFilter` more than once to the same `Filterable` instance or to more than one `Filterable` instance then a new instance of that `ClientFilter` MUST be added.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`protected` | `Filterable(ClientHandler root)` Construct with a root client handler.
`protected` | `Filterable(Filterable that)` Construct from an existing filterable instance.

Method Summary
`void` | `addFilter(ClientFilter f)` Add a filter to the filter chain.
`protected ClientHandler` | `getHeadHandler()` Get the head client handler of the filter chain.
`void` | `removeAllFilters()` Remove all filters from the filter chain.
`void` | `removeFilter(ClientFilter f)` Remove a filter from the chain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filterable

    protected Filterable(ClientHandler root)

  Construct with a root client handler.

  Parameters:
    `root` - the root handler to handle the request and return a response.

### Filterable

    protected Filterable(Filterable that)

  Construct from an existing filterable instance.

  Parameters:
    `that` - the filter to copy.

Method Detail

### addFilter

    public void addFilter(ClientFilter f)

  Add a filter to the filter chain.

  Parameters:
    `f` - the filter to add.

### removeFilter

    public void removeFilter(ClientFilter f)

  Remove a filter from the chain.

  Parameters:
    `f` - the filter to remove.

### removeAllFilters

    public void removeAllFilters()

  Remove all filters from the filter chain.

### getHeadHandler

    protected ClientHandler getHeadHandler()

  Get the head client handler of the filter chain.

  Returns:
    the head client handler of the filter chain.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.